<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FilteringDirectoryNode (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FilteringDirectoryNode (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FilteringDirectoryNode.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
               title="enum in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/NotOLE2FileException.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html"
               target="_top">Frames</a></li>
        <li><a href="FilteringDirectoryNode.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.filesystem</div>
    <h2 title="Class FilteringDirectoryNode" class="title">Class FilteringDirectoryNode</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.poifs.filesystem.FilteringDirectoryNode</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                 title="interface in org.apache.poi.poifs.filesystem">Entry</a>&gt;, <a
                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                            title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>, <a
                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                            title="interface in org.apache.poi.poifs.filesystem">Entry</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">FilteringDirectoryNode</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
              title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></pre>
                <div class="block">A DirectoryEntry filter, which exposes another
                    DirectoryEntry less certain parts.
                    This is typically used when copying or comparing
                    Filesystems.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#FilteringDirectoryNode-org.apache.poi.poifs.filesystem.DirectoryEntry-java.util.Collection-">FilteringDirectoryNode</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;directory,
                                    java.util.Collection&lt;java.lang.String&gt;&nbsp;excludes)</code>
                                    <div class="block">Creates a filter round the specified directory, which
                                        will exclude entries such as "MyNode" and "MyDir/IgnoreNode".
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#createDirectory-java.lang.String-">createDirectory</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">create a new DirectoryEntry</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DocumentEntry</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#createDocument-java.lang.String-java.io.InputStream-">createDocument</a></span>(java.lang.String&nbsp;name,
                                    java.io.InputStream&nbsp;stream)</code>
                                    <div class="block">create a new DocumentEntry</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DocumentEntry</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#createDocument-java.lang.String-int-org.apache.poi.poifs.filesystem.POIFSWriterListener-">createDocument</a></span>(java.lang.String&nbsp;name,
                                    int&nbsp;size,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSWriterListener.html"
                                       title="interface in org.apache.poi.poifs.filesystem">POIFSWriterListener</a>&nbsp;writer)</code>
                                    <div class="block">create a new DocumentEntry; the data will be provided later</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#delete--">delete</a></span>()</code>
                                    <div class="block">Delete this Entry.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">Entry</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#getEntries--">getEntries</a></span>()</code>
                                    <div class="block">get an iterator of the Entry instances contained directly in
                                        this instance (in other words, children only; no grandchildren
                                        etc.)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">Entry</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#getEntry-java.lang.String-">getEntry</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">get a specified Entry by name</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#getEntryCount--">getEntryCount</a></span>()</code>
                                    <div class="block">find out how many Entry instances are contained directly within
                                        this DirectoryEntry
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.util.Set&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#getEntryNames--">getEntryNames</a></span>()</code>
                                    <div class="block">get the names of all the Entries contained directly in this
                                        instance (in other words, names of children only; no grandchildren
                                        etc).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#getName--">getName</a></span>()</code>
                                    <div class="block">get the name of the Entry</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#getParent--">getParent</a></span>()</code>
                                    <div class="block">get this Entry's parent (the DirectoryEntry that owns this
                                        Entry).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a href="../../../../../org/apache/poi/hpsf/ClassID.html"
                                                              title="class in org.apache.poi.hpsf">ClassID</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#getStorageClsid--">getStorageClsid</a></span>()</code>
                                    <div class="block">Gets the storage clsid of the directory entry</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#hasEntry-java.lang.String-">hasEntry</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Checks if entry with specified name present</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#isDirectoryEntry--">isDirectoryEntry</a></span>()</code>
                                    <div class="block">is this a DirectoryEntry?</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#isDocumentEntry--">isDocumentEntry</a></span>()</code>
                                    <div class="block">is this a DocumentEntry?</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#isEmpty--">isEmpty</a></span>()</code>
                                    <div class="block">is this DirectoryEntry empty?</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">Entry</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#iterator--">iterator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#renameTo-java.lang.String-">renameTo</a></span>(java.lang.String&nbsp;newName)</code>
                                    <div class="block">Rename this Entry.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html#setStorageClsid-org.apache.poi.hpsf.ClassID-">setStorageClsid</a></span>(<a
                                        href="../../../../../org/apache/poi/hpsf/ClassID.html"
                                        title="class in org.apache.poi.hpsf">ClassID</a>&nbsp;clsidStorage)</code>
                                    <div class="block">Sets the storage clsid for the directory entry</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="FilteringDirectoryNode-org.apache.poi.poifs.filesystem.DirectoryEntry-java.util.Collection-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FilteringDirectoryNode</h4>
                                <pre>public&nbsp;FilteringDirectoryNode(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;directory,
                              java.util.Collection&lt;java.lang.String&gt;&nbsp;excludes)</pre>
                                <div class="block">Creates a filter round the specified directory, which
                                    will exclude entries such as "MyNode" and "MyDir/IgnoreNode".
                                    The excludes can stretch into children, if they contain a /.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>directory</code> - The Directory to filter</dd>
                                    <dd><code>excludes</code> - The Entries to exclude</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createDirectory-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createDirectory</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;createDirectory(java.lang.String&nbsp;name)
                               throws java.io.IOException</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#createDirectory-java.lang.String-">DirectoryEntry</a></code></span>
                                </div>
                                <div class="block">create a new DirectoryEntry</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#createDirectory-java.lang.String-">createDirectory</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the new DirectoryEntry</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the new DirectoryEntry</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createDocument-java.lang.String-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createDocument</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DocumentEntry</a>&nbsp;createDocument(java.lang.String&nbsp;name,
                                    java.io.InputStream&nbsp;stream)
                             throws java.io.IOException</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#createDocument-java.lang.String-java.io.InputStream-">DirectoryEntry</a></code></span>
                                </div>
                                <div class="block">create a new DocumentEntry</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#createDocument-java.lang.String-java.io.InputStream-">createDocument</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the new DocumentEntry</dd>
                                    <dd><code>stream</code> - the InputStream from which to create the new
                                        DocumentEntry
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the new DocumentEntry</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createDocument-java.lang.String-int-org.apache.poi.poifs.filesystem.POIFSWriterListener-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createDocument</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DocumentEntry</a>&nbsp;createDocument(java.lang.String&nbsp;name,
                                    int&nbsp;size,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSWriterListener.html"
                                       title="interface in org.apache.poi.poifs.filesystem">POIFSWriterListener</a>&nbsp;writer)
                             throws java.io.IOException</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#createDocument-java.lang.String-int-org.apache.poi.poifs.filesystem.POIFSWriterListener-">DirectoryEntry</a></code></span>
                                </div>
                                <div class="block">create a new DocumentEntry; the data will be provided later</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#createDocument-java.lang.String-int-org.apache.poi.poifs.filesystem.POIFSWriterListener-">createDocument</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the new DocumentEntry</dd>
                                    <dd><code>size</code> - the size of the new DocumentEntry</dd>
                                    <dd><code>writer</code> - the writer of the new DocumentEntry</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the new DocumentEntry</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEntries--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEntries</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">Entry</a>&gt;&nbsp;getEntries()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#getEntries--">DirectoryEntry</a></code></span>
                                </div>
                                <div class="block">get an iterator of the Entry instances contained directly in
                                    this instance (in other words, children only; no grandchildren
                                    etc.)
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#getEntries--">getEntries</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>iterator; never null, but hasNext() may return false
                                        immediately (i.e., this DirectoryEntry is empty). All
                                        objects retrieved by next() are guaranteed to be
                                        implementations of Entry.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">Entry</a>&gt;&nbsp;iterator()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                            title="interface in org.apache.poi.poifs.filesystem">Entry</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEntryCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEntryCount</h4>
                                <pre>public&nbsp;int&nbsp;getEntryCount()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#getEntryCount--">DirectoryEntry</a></code></span>
                                </div>
                                <div class="block">find out how many Entry instances are contained directly within
                                    this DirectoryEntry
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#getEntryCount--">getEntryCount</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of immediately (no grandchildren etc.) contained
                                        Entry instances
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEntryNames--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEntryNames</h4>
                                <pre>public&nbsp;java.util.Set&lt;java.lang.String&gt;&nbsp;getEntryNames()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#getEntryNames--">DirectoryEntry</a></code></span>
                                </div>
                                <div class="block">get the names of all the Entries contained directly in this
                                    instance (in other words, names of children only; no grandchildren
                                    etc).
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#getEntryNames--">getEntryNames</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the names of all the entries that may be retrieved with
                                        getEntry(String), which may be empty (if this
                                        DirectoryEntry is empty)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isEmpty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isEmpty</h4>
                                <pre>public&nbsp;boolean&nbsp;isEmpty()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#isEmpty--">DirectoryEntry</a></code></span>
                                </div>
                                <div class="block">is this DirectoryEntry empty?</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#isEmpty--">isEmpty</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this instance contains no Entry instances</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hasEntry-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasEntry</h4>
                                <pre>public&nbsp;boolean&nbsp;hasEntry(java.lang.String&nbsp;name)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#hasEntry-java.lang.String-">DirectoryEntry</a></code></span>
                                </div>
                                <div class="block">Checks if entry with specified name present</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#hasEntry-java.lang.String-">hasEntry</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEntry-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEntry</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                    title="interface in org.apache.poi.poifs.filesystem">Entry</a>&nbsp;getEntry(java.lang.String&nbsp;name)
               throws java.io.FileNotFoundException</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#getEntry-java.lang.String-">DirectoryEntry</a></code></span>
                                </div>
                                <div class="block">get a specified Entry by name</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#getEntry-java.lang.String-">getEntry</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the Entry to obtain.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the specified Entry, if it is directly contained in
                                        this DirectoryEntry
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.FileNotFoundException</code> - if no Entry with the specified
                                        name exists in this DirectoryEntry
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStorageClsid--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStorageClsid</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hpsf/ClassID.html"
                                                    title="class in org.apache.poi.hpsf">ClassID</a>&nbsp;getStorageClsid()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#getStorageClsid--">DirectoryEntry</a></code></span>
                                </div>
                                <div class="block">Gets the storage clsid of the directory entry</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#getStorageClsid--">getStorageClsid</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>storage Class ID</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setStorageClsid-org.apache.poi.hpsf.ClassID-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStorageClsid</h4>
                                <pre>public&nbsp;void&nbsp;setStorageClsid(<a
                                        href="../../../../../org/apache/poi/hpsf/ClassID.html"
                                        title="class in org.apache.poi.hpsf">ClassID</a>&nbsp;clsidStorage)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#setStorageClsid-org.apache.poi.hpsf.ClassID-">DirectoryEntry</a></code></span>
                                </div>
                                <div class="block">Sets the storage clsid for the directory entry</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html#setStorageClsid-org.apache.poi.hpsf.ClassID-">setStorageClsid</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>clsidStorage</code> - storage Class ID</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="delete--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>delete</h4>
                                <pre>public&nbsp;boolean&nbsp;delete()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#delete--">Entry</a></code></span>
                                </div>
                                <div class="block">Delete this Entry. This operation should succeed, but there are
                                    special circumstances when it will not:

                                    If this Entry is the root of the Entry tree, it cannot be
                                    deleted, as there is no way to create another one.

                                    If this Entry is a directory, it cannot be deleted unless it is
                                    empty.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#delete--">delete</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">Entry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the Entry was successfully deleted, else false</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="renameTo-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>renameTo</h4>
                                <pre>public&nbsp;boolean&nbsp;renameTo(java.lang.String&nbsp;newName)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#renameTo-java.lang.String-">Entry</a></code></span>
                                </div>
                                <div class="block">Rename this Entry. This operation will fail if:

                                    There is a sibling Entry (i.e., an Entry whose parent is the
                                    same as this Entry's parent) with the same name.

                                    This Entry is the root of the Entry tree. Its name is dictated
                                    by the Filesystem and many not be changed.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#renameTo-java.lang.String-">renameTo</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">Entry</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>newName</code> - the new name for this Entry</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the operation succeeded, else false</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#getName--">Entry</a></code></span>
                                </div>
                                <div class="block">get the name of the Entry</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#getName--">getName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">Entry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>name</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getParent--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParent</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;getParent()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#getParent--">Entry</a></code></span>
                                </div>
                                <div class="block">get this Entry's parent (the DirectoryEntry that owns this
                                    Entry). All Entry objects, except the root Entry, has a parent.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#getParent--">getParent</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">Entry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>this Entry's parent; null iff this is the root Entry</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isDirectoryEntry--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isDirectoryEntry</h4>
                                <pre>public&nbsp;boolean&nbsp;isDirectoryEntry()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#isDirectoryEntry--">Entry</a></code></span>
                                </div>
                                <div class="block">is this a DirectoryEntry?</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#isDirectoryEntry--">isDirectoryEntry</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">Entry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the Entry is a DirectoryEntry, else false</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isDocumentEntry--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>isDocumentEntry</h4>
                                <pre>public&nbsp;boolean&nbsp;isDocumentEntry()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#isDocumentEntry--">Entry</a></code></span>
                                </div>
                                <div class="block">is this a DocumentEntry?</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#isDocumentEntry--">isDocumentEntry</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">Entry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the Entry is a DocumentEntry, else false</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FilteringDirectoryNode.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
               title="enum in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/NotOLE2FileException.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html"
               target="_top">Frames</a></li>
        <li><a href="FilteringDirectoryNode.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
